Bug 798768 - [RFE] Add the ability to list repos bound to consumer groups
[RFE] Add the ability to list repos bound to consumer groups
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
All All
medium Severity high
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 14:59 EST by scressi
Modified: 2015-02-28 18:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 19:48:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 166 None None None Never

  None (edit)
Description scressi 2012-02-29 14:59:03 EST
Description of problem:

There is currently no way to list repos bound to consumer groups other than to list a specific consumer bound to said consumer group

Version-Release number of selected component (if applicable):

all, but mostly latest (1.0)

How reproducible:

completely

Steps to Reproduce:
1. pulp-admin -u admin -p admin consumergroup list
  
Actual results:

+------------------------------------------+
      List of Available Consumer Groups
+------------------------------------------+

Id                      group1                   
Description             None                     
Consumer ids            [u'pulpconsumer3']       
Additional info                               

Expected results:

+------------------------------------------+
      List of Available Consumer Groups
+------------------------------------------+

Id                      group1                   
Description             None                     
Consumer ids            [u'pulpconsumer3']       
Repos                   [u'centos_6.2_base, centos_6.2_updates']       

Additional info
Comment 86 Brian Bouterse 2015-02-18 19:48:17 EST
Moved to https://pulp.plan.io/issues/166

Note You need to log in before you can comment on or make changes to this bug.